import request from '@/utils/request'

// 查询订单打印设置列表
export function listPrintSetting(query) {
  return request({
    url: '/mall/printSetting/list',
    method: 'get',
    params: query
  })
}

// 查询订单打印设置详细
export function getPrintSetting(printSettingId) {
  return request({
    url: '/mall/printSetting/' + printSettingId,
    method: 'get'
  })
}

// 新增订单打印设置
export function addPrintSetting(data) {
  return request({
    url: '/mall/printSetting',
    method: 'post',
    data: data
  })
}

// 修改订单打印设置
export function updatePrintSetting(data) {
  return request({
    url: '/mall/printSetting',
    method: 'put',
    data: data
  })
}

// 删除订单打印设置
export function delPrintSetting(printSettingId) {
  return request({
    url: '/mall/printSetting/' + printSettingId,
    method: 'delete'
  })
}

// 导出订单打印设置
export function exportPrintSetting(query) {
  return request({
    url: '/mall/printSetting/export',
    method: 'get',
    params: query
  })
}
